Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Language IDEs » Java Development Tools (JDT) » Help (Downloading)(Help)
Help (Downloading) [message #1823327] Tue, 24 March 2020 23:34 Go to next message
Ty Mertl is currently offline Ty MertlFriend
Messages: 1
Registered: March 2020
Junior Member
Hi, so when I try to download Eclipse it gives me a error, the error is:

"Java has started but returned exit code = 1
C:Program files (86x)\commonfiles\oracle\Java\JavaPath/Jawaw.exe
- Dosgi.requirejavaversion= 1.8
- Dosgi.instance.area.default=@user.home/eclipse-workspace" Ill upload the rest of the error as a screenshot
Re: Help (Downloading) [message #1823454 is a reply to message #1823327] Thu, 26 March 2020 20:43 Go to previous messageGo to next message
Stephan Herrmann is currently offline Stephan HerrmannFriend
Messages: 1828
Registered: July 2009
Senior Member
You may want to search here for an answer: https://www.eclipse.org/forums/index.php/f/89/

Also, there's a chance that your problem would never occur if you use the Eclipse Installer, instead of a package download.
Re: Help (Downloading) [message #1823780 is a reply to message #1823454] Thu, 02 April 2020 02:40 Go to previous messageGo to next message
Glen Dibo is currently offline Glen DiboFriend
Messages: 1
Registered: February 2020
Junior Member
Use the Eclipse Installer and the current error will disappear. This is how I handle the problem.
Re: Help (Downloading) [message #1823934 is a reply to message #1823780] Sat, 04 April 2020 05:29 Go to previous messageGo to next message
Ed Merks is currently offline Ed MerksFriend
Messages: 31559
Registered: July 2009
Senior Member
Yes, the installer checks the system for installed versions of Java and will either use a correct one (while offering choices of all available correct ones), or will tell you to install a correct one. It's clear that above you are using a 32 bit version of Java installed in C\:Program Files (86x)\ whereas a 64 bit version would be installed in C:\Program Files\. The latest Eclipse versions no not support 32 bit anymore.

Ed Merks
Professional Support: https://www.macromodeling.com/
Re: Help (Downloading) [message #1830846 is a reply to message #1823934] Wed, 05 August 2020 08:11 Go to previous messageGo to next message
Eclipse UserFriend
I have to face the same problem what can I do to solve this problem.?
Re: Help (Downloading) [message #1830865 is a reply to message #1830846] Wed, 05 August 2020 12:22 Go to previous message
Ed Merks is currently offline Ed MerksFriend
Messages: 31559
Registered: July 2009
Senior Member
Just must install a 64 bit version of Java. The installer brings up this page:

https://download.eclipse.org/oomph/jre/?vm=1_1_8_0_64_0&pn=Eclipse%20Installer&pu=http://wiki.eclipse.org/Eclipse_Installer&pi=http://download.eclipse.org/oomph/jre/128x128.png

You might want to plan ahead for the next release which will require Java 11.

https://www.oracle.com/java/technologies/javase-jdk11-downloads.html


Ed Merks
Professional Support: https://www.macromodeling.com/
Previous Topic:Eclipse Installer Crashes
Next Topic:Tools and frameworks for the modern Java developer
Goto Forum:
  


Current Time: Fri Oct 30 02:49:53 GMT 2020

Powered by FUDForum. Page generated in 0.02519 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top